/***************************************************************************
 *   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
 *   rvinyard@cs.nmsu.edu                                                  *
 *                                                                         *
 *   This file is part of the bit library.                                 *
 *                                                                         *
 *   The bit library is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License           *
 *   version 3 as published by the Free Software Foundation.               *
 *                                                                         *
 *   The bit library is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      *
 *   General Public License for more details.                              *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this software. If not see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/
#include "enums.h"

#include <cstring>

namespace bit
{

  Encoding encoding(const std::string & s)
  {
    if ( ::strcasecmp( s.c_str(), "none" ) == 0 ) return ENCODING_NONE;
    if ( ::strcasecmp( s.c_str(), "type" ) == 0 ) return ENCODING_TYPE;
    if ( ::strcasecmp( s.c_str(), "base64" ) == 0 ) return ENCODING_BASE64;
    if ( ::strncasecmp( s.c_str(), "hex", 3 ) == 0 ) return ENCODING_HEX;
    if ( ::strncasecmp( s.c_str(), "oct", 3 ) == 0 ) return ENCODING_OCT;
    if ( ::strncasecmp( s.c_str(), "dec", 3 ) == 0 ) return ENCODING_DEC;
    return ENCODING_NONE;
  }

}

